define({"0":{i:0.00311591626442574,u:"../Content/Part_Overview.htm",a:"Overview of Filter SDK This section provides an overview of the Micro Focus KeyView Filter SDK and describes how to use the  C++  implementation of the API.",t:"Overview of Filter SDK"},"1":{i:0.00311591626442574,u:"../Content/filter_shared/filtersdk_intro/intro_filtersdk.htm",a:"Introducing Filter SDK This section describes the Filter SDK package. ",t:"Introducing Filter SDK"},"2":{i:0.00311591626442574,u:"../Content/filter_shared/filtersdk_intro/Overview.htm",a:"Micro Focus KeyView Filter SDK enables you to incorporate text extraction functionality into your own applications. It extracts text and metadata from a wide variety of file formats on numerous platforms, and can automatically recognize over 1000 document types. It supports both file-based and ...",t:"Overview"},"3":{i:0.00311591626442574,u:"../Content/filter_shared/filtersdk_intro/Features.htm",a:"Document readers are threadsafe. The benefit of a threadsafe technology is that you can successfully extract text from hundreds of documents simultaneously. Documents are not queued for sequential filtering, but are actually filtered at the same time. Filter supports popular word processing, ...",t:"Features"},"4":{i:0.00311591626442574,u:"../Content/Shared/_KV_Platform.htm",a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software.",t:"Platforms, Compilers, and Dependencies"},"5":{i:0.00311591626442574,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",a:"CentOS 7 FreeBSD 8.1 x86 IBM AIX L6.1 PowerPC 32-bit and 64-bit IBM AIX L7.1 PowerPC 32-bit and 64-bit Mac OS X Mountain Lion 10.8 or higher on 32- and 64-bit Apple-Intel architecture Microsoft Windows Vista Business Edition x86 and x64. Other editions of Vista have not been tested, but are likely ...",t:"Supported Platforms"},"6":{i:0.00311591626442574,u:"../Content/Shared/_KV_Platform_Compilers.htm",a:"Supported Compilers Supported Compilers for Java Components Component Compiler Java components Java 1.5 C++ Filter SDK The C++ Filter SDK is supported on: Linux using GCC 5 or later Windows using Visual Studio 2015 or later",t:"Supported Compilers"},"7":{i:0.00311591626442574,u:"../Content/Shared/_KV_Platform_Dependencies.htm",a:"Some KeyView components require  specific third-party software: Java Runtime Environment (JRE) or Java Software Developer Kit (JDK) version 1.5 is required for Java API and graphics conversion in Export SDK. Outlook 2002 or later is required to process Microsoft Outlook Personal Folders (PST) files ...",t:"Software Dependencies"},"8":{i:0.00311591626442574,u:"../Content/Shared/_KV_install_Windows.htm",a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ...",t:"Windows Installation"},"9":{i:0.00311591626442574,u:"../Content/Shared/_KV_install_UNIX.htm",a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ...",t:"UNIX Installation"},"10":{i:0.00311591626442574,u:"../Content/filter_shared/filtersdk_intro/Package_Contents.htm",a:"Package Contents The Filter SDK installation contains: All the libraries and executables necessary for extracting text from a wide variety of formats. The  include files  that define the functions and structures used by the application to establish an interface with Filter:",t:"Package Contents"},"11":{i:0.0890561685193381,u:"../Content/Shared/_KV_License_Update.htm",a:"During installation, the installation program validates the organization name and license key that you enter, and generates the  install/OS/bin/kv.lic file, where  install is the directory in which you installed KeyView, and OS is the operating system. This file is opened and validated when the ...",t:"License Information"},"12":{i:0.00311591626442574,u:"../Content/filter_shared/filtersdk_intro/Directory_Structure.htm",a:"The following table describes the directories created during the Filter SDK installation. The variable  install is the path name of the Filter installation  directory (for example,  /usr/autonomy/KeyviewFilterSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewFilterSDK on Windows). The variable  OS is ...",t:"Directory Structure"},"13":{i:0.00576448558765176,u:"../Content/Chapter_GettingStarted.htm",a:"Getting Started This section provides an overview of Filter SDK, and describes how to use the  C++  implementation of the API.",t:"Getting Started"},"14":{i:0.00311591626442574,u:"../Content/C++/gettingstarted/Using_the_C++_Imp.htm",a:"The C++ API is designed to make extraction of content from documents as straightforward as possible. The primary advantage over the C API is the use of C++ features to provide a simpler interface that is easy to use.\n         The API consists of: Header files that define all of the classes and ...",t:"Use the C++ Language Implementation of the API"},"15":{i:0.00444020092603875,u:"../Content/C++/gettingstarted/Building.htm",a:"This section describes the build process for Windows and Linux. To build the C++ API on Windows To build on Windows, you need at least Microsoft Visual Studio 2015.  Switch to the cppapi/bin directory.  At the Visual Studio command prompt, run nmake -f Makefile.  This command creates a file called ...",t:"Build the C++ API"},"16":{i:0.00311591626442574,u:"../Content/C++/gettingstarted/Create_Session.htm",a:"Create a KeyView Session\n         To use the C++ Filter SDK, link the library built in  Build the C++ API , and include the following headers in your code: #include \"Keyview_FilterSDK.hpp\"\n#include \"Keyview_IO.hpp\" To use the SDK, you must create a KeyView session: auto KV = ...",t:"Create a KeyView Session\n        "},"17":{i:0.00311591626442574,u:"../Content/C++/gettingstarted/DetectFormat.htm",a:"You can detect the format of a file by using the detect method. For example: auto myinput = keyview::io::InputFile{ std::string(\"InputFile.docx\") };\nauto detection_info = KV.detect(myinput);\n\n// Print out what we found\nstd::cout \u003c\u003c \"Format:\\t\" \u003c\u003c static_cast\u003cint\u003e(detection_info.format()) \u003c\u003c ...",t:"Detect the Format of a File"},"18":{i:0.00311591626442574,u:"../Content/C++/gettingstarted/FilterFile.htm",a:"Filter a File You can get a plain text version of the file content by using the filter method: auto myinput = keyview::io::InputFile{ std::string(\"InputFile.docx\") };\nauto myoutput = keyview::io::OutputFile{ std::string(\"out.txt\") };\nKV.filter(myinput, myoutput);",t:"Filter a File"},"19":{i:0.00311591626442574,u:"../Content/C++/gettingstarted/ExtractSubfiles.htm",a:"You can iterate over subfile information using the subfiles method. Each element returned by the iterator contains information about the subfile, and a method to let you extract it if you want to: auto myinput = keyview::io::InputFile{ std::string(\"InputFile.zip\") };\nfor (const auto\u0026 subfile : ...",t:"Extract Subfiles"},"20":{i:0.00311591626442574,u:"../Content/C++/gettingstarted/ExtractMetadata.htm",a:"You can obtain the metadata for a file by calling the  metadata_map  method: auto myinput = keyview::io::InputFile{ std::string(\"InputFile.docx\") };\nauto metadata = KV.metadata_map(myinput);\nfor (const auto\u0026 it : metadata)\n{\n     std::cout \u003c\u003c it.first \u003c\u003c \": \" \u003c\u003c it.second \u003c\u003c \u0027\\n\u0027;\n} The metadata map ...",t:"Extract Metadata"},"21":{i:0.00311591626442574,u:"../Content/C++/gettingstarted/Exceptions.htm",a:"All of the C++ API methods can throw exceptions. KeyView errors take the form of an instance of keyview_error, which is itself derived from std::exception. The exceptions that can be thrown are defined in Keyview_Errors.hpp. In application code, it is possible to catch and correctly handle many of ...",t:"Exceptions"},"22":{i:0.00311591626442574,u:"../Content/C++/gettingstarted/GenericIO.htm",a:"The C++ API makes use of generic types for input and output. For example, the signature of the filter method is: template \u003ctypename Input_Type, typename Output_Type\u003e\nvoid filter(Input_Type\u0026 input, Output_Type\u0026 output); Some input and output types are defined in Keyview_IO.hpp. These are  InputFile , ...",t:"Generic IO Types"},"23":{i:0.00311591626442574,u:"../Content/Part_UseSDK.htm",a:"Use Filter SDK This section explains how to perform some basic tasks by using the File Extraction and Filter APIs, and describes the sample programs.",t:"Use Filter SDK"},"24":{i:0.00311591626442574,u:"../Content/kv_xtract_api_c/_KV_xtract_c.htm",a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. ",t:"Use the File Extraction API"},"25":{i:0.00311591626442574,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Introduction.htm",a:"To  filter  a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file.  The following ...",t:"Introduction"},"26":{i:0.00444020092603875,u:"../Content/kv_xtract_api_cpp/_KV_xtract_cpp_Extract_Sub_Files.htm",a:"To filter all files in a container file, you must open the container and extract its subfiles to either a file or a stream by using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for filtering. After a subfile is extracted, you can ...",t:"Extract Subfiles"},"27":{i:0.00311591626442574,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",a:"You can use the File Extraction API  to extract images within the file by specifying the following in the formats.ini file: [Options]\nExtractImages=TRUE If you set this option, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where ...",t:"Extract Images"},"28":{i:0.00399877270550108,u:"../Content/kv_xtract_api_cpp/_KV_xtract_cpp_Extract_Mail_Metadata.htm",a:"You can extract metadata, such as subject, sender, and recipient, from subfiles of mail formats, by calling the metadata_map() function on a Session object (see  The Session Class  for more information). Default Metadata Set KeyView internally defines a set of common mail metadata fields that you ...",t:"Extract Mail Metadata"},"29":{i:0.00311591626442574,u:"../Content/kv_xtract_api_cpp/_KV_xtract_cpp_Extract_SubFiles_OutlookExpress.htm",a:"Extract Subfiles from Outlook  Express Files If the Outlook file contains a non-mail attachment, the attachment is extracted in its native format to the same directory as the message text file. If the Outlook file contains a mail attachment, the complete attachment (including message text and ...",t:"Extract Subfiles from Outlook Express Files"},"30":{i:0.00311591626442574,u:"../Content/kv_xtract_api_cpp/_KV_xtract_cpp_Extract_SubFiles_MailboxFiles.htm",a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  In Eudora ...",t:"Extract Subfiles from Mailbox Files"},"31":{i:0.00311591626442574,u:"../Content/kv_xtract_api_cpp/_KV_xtract_cpp_Extract_SubFiles_OutlookPersonalFolder.htm",a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file.  If an Outlook item contains a non-mail attachment, the attachment is extracted in its native format to a subdirectory. ...",t:"Extract Subfiles from Outlook Personal Folders Files"},"32":{i:0.00311591626442574,u:"../Content/kv_xtract_api_cpp/_KV_xtract_cpp_Extract_SubFiles_LotusDominoXML.htm",a:"Extract  Subfiles from Lotus Domino XML Language Files When you extract a Lotus Domino XML Language (.DXL) file, the message text and header information (To, From, Sent, and so on) is extracted to a text file. You can make sure that dates and times extracted from Lotus Domino .DXL files are ...",t:"Extract Subfiles from Lotus Domino XML Language Files"},"33":{i:0.00311591626442574,u:"../Content/kv_xtract_api_cpp/_KV_xtract_cpp_Extract_SubFiles_LotusNotes_DB.htm",a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ...",t:"Extract Subfiles from Lotus Notes Database Files"},"34":{i:0.00311591626442574,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_PDF_Files.htm",a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ...",t:"Extract Subfiles from PDF Files"},"35":{i:0.00311591626442574,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ...",t:"Improve Performance for PDFs with Many Small Images"},"36":{i:0.00311591626442574,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Embedded_OLE_Objects.htm",a:"The File Extraction API can extract embedded  OLE objects from the following types of documents: Lotus Notes (DXL) Microsoft Excel Microsoft Word Microsoft PowerPoint Microsoft Outlook Microsoft Visio Microsoft Project OASIS Open Document Rich Text Format (RTF) When an embedded OLE object is ...",t:"Extract Embedded OLE Objects"},"37":{i:0.00311591626442574,u:"../Content/kv_xtract_api_cpp/_KV_xtract_cpp_Extract_SubFiles_ZIPFiles.htm",a:"You can extract ZIP files that are not password-protected by using the general method (see  Extract Subfiles ). However, some ZIP files use password protection, in which case you must use a different method to enter the required credentials.  See  Password Protected Files  for more information.",t:"Extract Subfiles from ZIP Files"},"38":{i:0.00311591626442574,u:"../Content/kv_xtract_api_cpp/_KV_xtract_cpp_Extract_Metadata.htm",a:"You can obtain the metadata for a file by calling the  metadata_map  method: auto myinput = keyview::io::InputFile{ std::string(\"InputFile.docx\") };\nauto metadata = KV.metadata_map(myinput);\nfor (const auto\u0026 it : metadata)\n{ \n    std::cout \u003c\u003c it.first \u003c\u003c \": \" \u003c\u003c it.second \u003c\u003c \u0027\\n\u0027;\n} The metadata map ...",t:"Extract  Metadata"},"39":{i:0.00311591626442574,u:"../Content/Chapter_UseFilterAPI.htm",a:"Use the Filter API This section describes how to perform some basic filtering tasks by using the Filter API.",t:"Use the Filter API"},"40":{i:0.00311591626442574,u:"../Content/C++/filter_api/Generate_an_Error_Log.htm",a:"You can monitor and debug filtering operations by enabling a detailed error log. This enables you to see errors that are generated at run time, and to track problem files in stream or file mode. Error logs are not generated when in-process filtering is enabled. The error log might include the ...",t:"Generate an Error Log"},"41":{i:0.00364563012907094,u:"../Content/C++/filter_api/Enable_Disable_Error_Logging.htm",a:"Enable or Disable Error  Logging You can enable or disable error logging by using either the API or environment variables. By default, a file called kvoop.log is created in the system temporary directory; however, you can change the path and file name of this file (see  Change the Path and File Name ...",t:"Enable or Disable Error Logging"},"42":{i:0.00519504736667243,u:"../Content/C++/filter_api/Change_Path_Log.htm",a:"You can change the default path and file name of the log file. The default is C:\\temp\\kvoop.log on Windows and /tmp/kvoop.log on UNIX.  To change the path and file name of the log file, add the following to the formats.ini file: [kvooplog]\nKvoopLogName=filepath",t:"Change the Path and File Name of the Log File"},"43":{i:0.00364563012907094,u:"../Content/C++/filter_api/Report_Memory_Errors.htm",a:"You can report memory leaks and  memory overwrites in the log file by enabling the  memory trace system, either by using the API or environment variables. If the memory trace system is enabled, the extended error codes for memory leaks and memory overwrites (26 and 27, respectively) are reported in ...",t:"Report Memory Errors"},"44":{i:0.00519504736667243,u:"../Content/C++/filter_api/Specify_a_Memory_Guard.htm",a:"To report memory overwrites in the log file, you must set a  memory guard that protects against memory overwrites. Normally, this is set in the range of 100-200 bytes. For example, if a memory guard of 100 is set and 20 bytes of memory are specified, a total of 120 bytes of memory are allocated. The ...",t:"Specify a Memory Guard"},"45":{i:0.00364563012907094,u:"../Content/C++/filter_api/Specify_the_Maximum_Size.htm",a:"You can specify the maximum size of the log file. When this size is reached and new entries are logged, either the first entry in the file is overwritten or the new entries are not reported.  To configure the maximum log size and whether old entries are overwritten, add the following section to the ...",t:"Specify the Maximum Size of the Log File"},"46":{i:0.00311591626442574,u:"../Content/C++/filter_api/Extract_Metadata.htm",a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ...",t:"Extract Metadata"},"47":{i:0.00311591626442574,u:"../Content/C++/filter_api/Convert_Character_Sets.htm",a:"Filter can convert the character set of a document to an arbitrary character set specified in the API, or to the character set of the operating system on which the output text is viewed. For this conversion to occur, a source character set must be identified. The source character set can either be ...",t:"Convert Character Sets"},"48":{i:0.00311591626442574,u:"../Content/C++/filter_api/Determine_the_CharacterSet.htm",a:"Determine the  Character Set of the Output Text To determine the output character set of a filtered document, Filter considers the following: Whether the document reader can determine the character set of the file format. If the document reader cannot determine the character set information for the ...",t:"Determine the Character Set of the Output Text"},"49":{i:0.00311591626442574,u:"../Content/C++/filter_api/Set_CharSet_Filtering.htm",a:"Set the Character  Set During Filtering You can convert the character set of a file at the time the file is filtered. To specify the source character set of a file, invoke source_encoding() on a Configuration object, before creating a session, using any value in the enumerated list Encoding in ...",t:"Set the Character Set During Filtering"},"50":{i:0.00311591626442574,u:"../Content/C++/filter_api/Set_CharSet_Extraction.htm",a:"Set the Character Set During  Subfile Extraction You can convert the character set of a subfile at the time the subfile is extracted from the container and before it is filtered. This is most often used to set the character set of a mail message\u0027s body text. See  Filter PDF Files  for more ...",t:"Set the Character Set During Subfile Extraction"},"51":{i:0.00311591626442574,u:"../Content/C++/filter_api/Extract_Deleted_Text_Mar.htm",a:"The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date.  If revision tracking was enabled when text was deleted from ...",t:"Extract Deleted Text Marked by Tracked Changes"},"52":{i:0.00311591626442574,u:"../Content/kv_xtract_api_cpp/_KV_xtract_cpp_Filter_File.htm",a:"Filter a File You can get a plaintext version of the file content by using the  filter  method: auto myinput = keyview::io::InputFile{ std::string(\"InputFile.docx\") };\nauto myoutput = keyview::io::OutputFile{ std::string(\"out.txt\") };\nKV.filter(myinput, myoutput);",t:"Filter a File"},"53":{i:0.00576448558765176,u:"../Content/C++/filter_api/Filter_PDF_Files.htm",a:"Filter PDF Files Filter has special configuration options that allow greater control over the conversion of Adobe Acrobat PDF files.",t:"Filter PDF Files"},"54":{i:0.00311591626442574,u:"../Content/C++/filter_api/Filter_PDF_LogicalOrder.htm",a:"The PDF format is primarily designed for presentation and printing of brochures, magazines, forms, reports, and other materials with complex visual designs. Most PDF files do not contain the logical structure of the original document—the correct reading order, for example, and the presence and ...",t:"Filter PDF Files to a Logical Reading Order"},"55":{i:0.00311591626442574,u:"../Content/C++/filter_api/Rotated_Text.htm",a:"When a PDF that contains rotated text is filtered, the rotated text is extracted after the text at the end of the PDF page on which the rotated text appears. If the PDF is filtered with logical order enabled, and the amount of rotated text on a page surpasses a predefined threshold,  the page is ...",t:"Rotated Text"},"56":{i:0.00311591626442574,u:"../Content/C++/filter_api/Extract_Custom_Metadata_PDF.htm",a:"Extract Custom Metadata  from PDF Files You can extract custom metadata from PDF files either by specifying individual metadata tag names, or by extracting all custom metadata at once. Extract All Custom Metadata You can extract all metadata through the API. To extract all metadata by using the API ...",t:"Extract Custom Metadata from PDF Files"},"57":{i:0.00311591626442574,u:"../Content/C++/filter_api/Filter_Tagged_PDF_Content.htm",a:"A tagged PDF contains an additional layer of text for visually impaired readers. This text is used in text-to-speech features in various PDF viewing programs. You can enable filtering of tagged PDF text in the API. Filtering the extra layer of tagged content might result in duplicate text in the ...",t:"Filter Tagged PDF Content"},"58":{i:0.00311591626442574,u:"../Content/C++/filter_api/Skip_Embedded_Fonts.htm",a:"Text in PDF files sometimes contains embedded fonts. If you experience difficulties filtering embedded fonts, there are options in the API, the formats.ini file, and the filter sample program that enable you to skip this type of text. If you skip embedded fonts, none of the content that contains ...",t:"Skip Embedded Fonts"},"59":{i:0.00311591626442574,u:"../Content/C++/filter_api/Control_Hyphenation.htm",a:"There are two types of hyphens in a PDF document:  A soft hyphen is added to a word by a word processor to divide the word across two lines. This is a discretionary hyphen and is used to ensure proper text flow in justified text. A hard hyphen is intentionally added to a word regardless of the ...",t:"Control Hyphenation"},"60":{i:0.00311591626442574,u:"../Content/C++/filter_api/Filter_Spreadsheet_Files.htm",a:"Filter Spreadsheet Files Filter has special configuration options that enable greater control over the conversion of spreadsheet files.",t:"Filter Spreadsheet Files"},"61":{i:0.00311591626442574,u:"../Content/C++/filter_api/Filter_Worksheet_Names.htm",a:"Filter  Worksheet Names Normally, Filter does not extract worksheet names from a spreadsheet because it is assumed that the text should not be exposed. To extract worksheet names, add the following lines to the  formats.ini file: [Options]\ngetsheetnames=1",t:"Filter Worksheet Names"},"62":{i:0.00311591626442574,u:"../Content/C++/filter_api/Filter_Hidden_Text_in_Mi.htm",a:"Filter  Hidden Text in Microsoft Excel Files Normally, Filter does not filter hidden text from a Microsoft Excel spreadsheet because it is assumed that the text should not be exposed. To extract text from hidden rows, columns, and sheets from Excel spreadsheets, add the following lines to the ...",t:"Filter Hidden Text in Microsoft Excel Files"},"63":{i:0.00311591626442574,u:"../Content/C++/filter_api/Specify_Date_and_Time_Fo.htm",a:"In Microsoft Excel you can choose to format dates and times according to the system locale.  On Windows, KeyView uses the system locale settings to determine how these dates and times should be formatted.  In other operating systems, KeyView uses the U.S. short date format (mm/dd/yyyy).  You can ...",t:"Specify Date and Time Format on UNIX Systems"},"64":{i:0.00311591626442574,u:"../Content/C++/filter_api/large_numbers_excel.htm",a:"By default, numbers are extracted in the format specified by the Excel file (for example, General, Currency and Date). Spreadsheets might contain cells that have very large numbers in them. Excel displays the numbers in a scientific notation that rounds or truncates the numbers.  To extract numbers ...",t:"Filter Very Large Numbers in Spreadsheet Cells to Precision Numbers"},"65":{i:0.0207645949912856,u:"../Content/C++/filter_api/Extract_Microsoft_Excel_.htm",a:"Normally, the actual value of a  formula is extracted from an Excel spreadsheet; the formula from which the value is derived is not included in the output. However, KeyView enables you to include the value as well as the formula in the output. For example, if Filter is configured to extract the ...",t:"Extract Microsoft Excel Formulas"},"66":{i:0.00311591626442574,u:"../Content/filter_shared/custom_headerfooter.htm",a:"You can configure custom header and footer tags for word processing and spreadsheet documents  by editing the formats.ini file. To configure headers and footers Open the formats.ini file. In the [Options] section, add the following items: ...",t:"Configure Headers and Footers"},"67":{i:0.00311591626442574,u:"../Content/C++/filter_api/Filter_Hidden_Data.htm",a:"Filter Hidden Data Some documents contain hidden information, which is not filtered by default. Depending on the type of hidden data that you want to filter and the type of document that you are filtering, you can either use the API or set parameters in the formats.ini file.",t:"Filter Hidden Data"},"68":{i:0.00311591626442574,u:"../Content/C++/filter_api/Hidden_Data_HTML.htm",a:"KeyView can filter comments from HTML documents. To enable comment filtering, you must set a flag in the formats.ini file. To enable filtering of comments from HTML files Open the formats.ini file in a text editor. Under [Options], set the following flag. GetHTMLHiddenInfo= 1",t:"Hidden Data in HTML Documents"},"69":{i:0.00311591626442574,u:"../Content/Shared/_KV_Tab_Delimited_Output.htm",a:"You can use KeyView to convert embedded tables in Word Processing documents (for example, Microsoft Word) to tab-delimited form, by specifying the following option in the formats.ini file: [Options]\nTabDelimited=TRUE This option inserts a tab character between each cell, and a line break between ...",t:"Tab Delimited Output for Embedded Tables"},"70":{i:0.00311591626442574,u:"../Content/Shared/_KV_Table_Detection_PDF.htm",a:"PDF files often contain data presented in a tabular form. However, there is no information about the table stored within the PDF itself – the text is simply placed in  an arrangement that looks like a table to the human eye. When this data is filtered, it can be very difficult to reconstruct the ...",t:"Table Detection for PDF Files"},"71":{i:0.00311591626442574,u:"../Content/filter_shared/No_Phonetic_Guides.htm",a:"  Exclude Japanese Guide Text This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text Set NoPhoneticGuides to TRUE in the formats.ini file: [Options]\nNoPhoneticGuides=TRUE You can also enable this ...",t:"Exclude Japanese Guide Text"},"72":{i:0.00311591626442574,u:"../Content/Shared/_KV_Code_Identification.htm",a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. Source code identification is a new, experimental feature in KeyView 12.0. It is available only on Windows 64-bit, Linux 64-bit, and OSX 64-bit platforms. You can ...",t:"Source Code Identification"},"73":{i:0.00444020092603875,u:"../Content/Chapter_Samples.htm",a:"Sample Programs This section describes the sample programs provided with Filter SDK.",t:"Sample Programs"},"74":{i:0.00311591626442574,u:"../Content/C++/samples/Introduction.htm",a:"The C++ sample programs demonstrate basic usage of the C++ implementation of the Filter API. The sample code is intended to provide a starting point for your own more advanced applications or to be used for reference purposes. The sample programs share a single header, to assist with parsing ...",t:"Introduction"},});